Xerces2 Implementation: Class StAXInputSource

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.util
Class StAXInputSource

    java.lang.Object
      |
      +--org.apache.xerces.xni.parser.XMLInputSource
            |
            +--org.apache.xerces.util.StAXInputSource

public final class StAXInputSource
extends org.apache.xerces.xni.parser.XMLInputSource

An `XMLInputSource` analogue to `javax.xml.transform.stax.StAXSource`.

Version:
  $Id: StAXInputSource.java 696457 2008-09-17 21:26:53Z mrglavas $

Fields inherited from class org.apache.xerces.xni.parser.XMLInputSource
`fBaseSystemId, fByteStream, fCharStream, fEncoding, fPublicId, fSystemId`

Constructor Summary
`StAXInputSource(javax.xml.stream.XMLEventReader source)`
`StAXInputSource(javax.xml.stream.XMLEventReader source, boolean consumeRemainingContent)`
`StAXInputSource(javax.xml.stream.XMLStreamReader source)`
`StAXInputSource(javax.xml.stream.XMLStreamReader source, boolean consumeRemainingContent)`

Method Summary
`javax.xml.stream.XMLEventReader` | `getXMLEventReader()`
`javax.xml.stream.XMLStreamReader` | `getXMLStreamReader()`
`void` | `setSystemId(java.lang.String systemId)` Sets the system identifier.
`boolean` | `shouldConsumeRemainingContent()`

Methods inherited from class org.apache.xerces.xni.parser.XMLInputSource
`getBaseSystemId, getByteStream, getCharacterStream, getEncoding, getPublicId, getSystemId, setBaseSystemId, setByteStream, setCharacterStream, setEncoding, setPublicId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StAXInputSource

    public StAXInputSource(javax.xml.stream.XMLStreamReader source)

### StAXInputSource

    public StAXInputSource(javax.xml.stream.XMLStreamReader source,
                           boolean consumeRemainingContent)

### StAXInputSource

    public StAXInputSource(javax.xml.stream.XMLEventReader source)

### StAXInputSource

    public StAXInputSource(javax.xml.stream.XMLEventReader source,
                           boolean consumeRemainingContent)

Method Detail

### getXMLStreamReader

    public javax.xml.stream.XMLStreamReader getXMLStreamReader()

### getXMLEventReader

    public javax.xml.stream.XMLEventReader getXMLEventReader()

### shouldConsumeRemainingContent

    public boolean shouldConsumeRemainingContent()

### setSystemId

    public void setSystemId(java.lang.String systemId)

  Description copied from class: `org.apache.xerces.xni.parser.XMLInputSource`
  Sets the system identifier.
  Overrides:
    `setSystemId` in class `org.apache.xerces.xni.parser.XMLInputSource`
  Following copied from class: `org.apache.xerces.xni.parser.XMLInputSource`
  Parameters:
    `systemId` - The new system identifier.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.